#!/bin/bash

####SBATCH --qos=debug
#SBATCH -A bsc32
#SBATCH --cpus-per-task=1
#SBATCH -n 4
#SBATCH -t 00:10:00
#SBATCH -J test_nes
#SBATCH --output=log_nord3v2_NES_%j.out
#SBATCH --error=log_nord3v2_NES_%j.err
#SBATCH --exclusive

### ulimit -s 128000

module purge

module load Python/3.7.4-GCCcore-8.3.0
module load netcdf4-python/1.5.3-foss-2019b-Python-3.7.4
module load cfunits/1.8-foss-2019b-Python-3.7.4
module load xarray/0.17.0-foss-2019b-Python-3.7.4
module load pandas/1.2.4-foss-2019b-Python-3.7.4
module load mpi4py/3.0.3-foss-2019b-Python-3.7.4
module load filelock/3.7.1-foss-2019b-Python-3.7.4
module load eccodes-python/0.9.5-foss-2019b-Python-3.7.4
module load pyproj/2.5.0-foss-2019b-Python-3.7.4 
module load geopandas/0.8.1-foss-2019b-Python-3.7.4
module load Shapely/1.7.1-foss-2019b-Python-3.7.4

export PYTHONPATH=/gpfs/projects/bsc32/models/NES:${PYTHONPATH}
cd /gpfs/projects/bsc32/models/NES/tests

mpirun --mca mpi_warn_on_fork 0 -np 4 python 2-nes_tests_by_projection.py
